Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2023-6597

Published: 19 March 2024

An issue was found in the CPython `tempfile.TemporaryDirectory` class affecting versions 3.12.2, 3.11.8, 3.10.13, 3.9.18, and 3.8.18 and prior. The tempfile.TemporaryDirectory class would dereference symlinks during cleanup of permissions-related errors. This means users which can run privileged programs are potentially able to modify permissions of files referenced by symlinks in some circumstances.

Priority

Medium

Status

Package Release Status
python2.7
Launchpad, Ubuntu, Debian
bionic Needs triage

focal Needs triage

jammy Needs triage

mantic Does not exist

trusty Needs triage

upstream Needs triage

xenial Needs triage

python3.10
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Needs triage

mantic Does not exist

upstream
Released (3.10.14)
python3.11
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Needs triage

mantic Needs triage

upstream Needs triage

python3.12
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Does not exist

mantic Needs triage

upstream Needs triage

python3.4
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Does not exist

mantic Does not exist

trusty Needs triage

upstream Needs triage

python3.5
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Does not exist

mantic Does not exist

trusty Needs triage

upstream Needs triage

xenial Needs triage

python3.6
Launchpad, Ubuntu, Debian
bionic Needs triage

focal Does not exist

jammy Does not exist

mantic Does not exist

upstream Needs triage

python3.7
Launchpad, Ubuntu, Debian
bionic Needs triage

focal Does not exist

jammy Does not exist

mantic Does not exist

upstream Needs triage

python3.8
Launchpad, Ubuntu, Debian
bionic Needs triage

focal Needs triage

jammy Does not exist

mantic Does not exist

upstream
Released (3.8.19)
python3.9
Launchpad, Ubuntu, Debian
focal Needs triage

jammy Does not exist

mantic Does not exist

upstream
Released (3.9.19)